



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>barchart</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="59b60af8-d8ed-4ee4-a770-d7b994728ba0" data-root-id="1123"></div>
            
          
        
      
      
        <script type="application/json" id="1244">
          {"9ab11e09-41e3-43d9-ba3a-2f0a24d3b96c":{"roots":{"references":[{"attributes":{},"id":"1130","type":"LinearScale"},{"attributes":{"overlay":{"id":"1169","type":"BoxAnnotation"}},"id":"1147","type":"BoxZoomTool"},{"attributes":{},"id":"1171","type":"Selection"},{"attributes":{},"id":"1135","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1169","type":"BoxAnnotation"},{"attributes":{"callback":null,"start":0},"id":"1128","type":"DataRange1d"},{"attributes":{"dimension":1,"ticker":{"id":"1140","type":"BasicTicker"}},"id":"1143","type":"Grid"},{"attributes":{"callback":null,"tooltips":[["Gender","@x"],["Purchase","@top"]]},"id":"1144","type":"HoverTool"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1135","type":"BasicTicker"}},"id":"1138","type":"Grid"},{"attributes":{"axis_label":"Gender","formatter":{"id":"1165","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1135","type":"BasicTicker"}},"id":"1134","type":"LinearAxis"},{"attributes":{},"id":"1167","type":"BasicTickFormatter"},{"attributes":{"text":"Purchase amount by Gender"},"id":"1124","type":"Title"},{"attributes":{"callback":null},"id":"1150","type":"TapTool"},{"attributes":{},"id":"1140","type":"BasicTicker"},{"attributes":{"callback":null,"data":{"top":[405380,132197],"x":[0,1]},"selected":{"id":"1171","type":"Selection"},"selection_policy":{"id":"1170","type":"UnionRenderers"}},"id":"1159","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"1159","type":"ColumnDataSource"},"glyph":{"id":"1160","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1161","type":"VBar"},"selection_glyph":null,"view":{"id":"1163","type":"CDSView"}},"id":"1162","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"1134","type":"LinearAxis"}],"center":[{"id":"1138","type":"Grid"},{"id":"1143","type":"Grid"}],"left":[{"id":"1139","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"1162","type":"GlyphRenderer"}],"title":{"id":"1124","type":"Title"},"toolbar":{"id":"1151","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"1126","type":"DataRange1d"},"x_scale":{"id":"1130","type":"LinearScale"},"y_range":{"id":"1128","type":"DataRange1d"},"y_scale":{"id":"1132","type":"LinearScale"}},"id":"1123","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1146","type":"PanTool"},{"attributes":{},"id":"1165","type":"BasicTickFormatter"},{"attributes":{},"id":"1132","type":"LinearScale"},{"attributes":{},"id":"1170","type":"UnionRenderers"},{"attributes":{"callback":null},"id":"1126","type":"DataRange1d"},{"attributes":{},"id":"1149","type":"WheelZoomTool"},{"attributes":{},"id":"1148","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1161","type":"VBar"},{"attributes":{"axis_label":"Purchase","formatter":{"id":"1167","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"ticker":{"id":"1140","type":"BasicTicker"}},"id":"1139","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1144","type":"HoverTool"},{"id":"1145","type":"SaveTool"},{"id":"1146","type":"PanTool"},{"id":"1147","type":"BoxZoomTool"},{"id":"1148","type":"ResetTool"},{"id":"1149","type":"WheelZoomTool"},{"id":"1150","type":"TapTool"}]},"id":"1151","type":"Toolbar"},{"attributes":{"source":{"id":"1159","type":"ColumnDataSource"}},"id":"1163","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1160","type":"VBar"},{"attributes":{},"id":"1145","type":"SaveTool"}],"root_ids":["1123"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1244').textContent;
                  var render_items = [{"docid":"9ab11e09-41e3-43d9-ba3a-2f0a24d3b96c","roots":{"1123":"59b60af8-d8ed-4ee4-a770-d7b994728ba0"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>